function OnSceneLoad(screen)
    game_state = {}
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    game_state.active_objects = {}
    --level:AddTaskSafe(CreateTask('', '', ''))
    --zone = CreateZoomZone('')
        
	level:AddTaskSafe(CreateTask('COLOREDGLASS', 'COLOREDGLASSES',
								 'pazl_01',
								 'pazl_02',
								 'pazl_03',
								 'pazl_04',
								 'pazl_05',
								 'pazl_06'));
	level:AddTaskSafe(CreateTask('FRAME', '', 'frame'))
    game_state.pieces_left = 6								 
	AddRandomTasks(16,
	                CreateTask('ANCHOR', '', 'anchor'),
					CreateTask('AXE', '', 'axe'),
					CreateTask('BALLOON', '', 'ball'),
					CreateTask('BRUSH', '', 'brush'),
					CreateTask('CARBINE', '', 'carbine'),
					CreateTask('HAMMER', '', 'hammer'),
					CreateTask('IRON', '', 'iron'),
					CreateTask('ORACLE', '', 'oracle'),
					CreateTask('PLIERS', '', 'pliers'),
					CreateTask('BINOCULAR', '', 'binocular'),
					CreateTask('SHOE', '', 'shoe'),
					CreateTask('TRUMPET', '', 'trumpet'),
					CreateTask('WIG', '', 'wig'));
        
	local object = play_field:GetObject('curtain');
	
	inventory_curtain = CreateInventory(object:GetX(),
                    object:GetY(),
                    object:GetZ() + 25.,
                    object:GetName(),
                    nil,
                    CreateItem('rope1', 'rope'),
					nil,
                    play_field:GetTimer(),
					"INVENTORY_TASK_2_1");
	inventory_curtain.state_changer = "OnCurtainMoved"
	
	inventory_curtain.OnComplete = function()
	    local af = CreateAnimationEffector()
        local obj = play_field:GetObject('curtain')
        af:AttachTo(obj)
        af:SetMode(_ANIM_FWD)
        af:SetKey(_TRACK_O, 0.0, obj:GetOpacity())
        af:SetKey(_TRACK_O, 0.6, obj:GetOpacity())
        af:SetKey(_TRACK_O, 0.9, 0)
        af:Play()
		
		if game_state.picture_clicked then
			inventory_dashboard_door.Unlock()
		else
			game_state.rope_used = true
		end
		
		game_state.picture_active = true
		
		local object = play_field:GetObject('picture')
		game_state.picture_bubbles = AddBubblesAnimation(play_field, 3, object:GetZ(), object:GetX(), object:GetY(), 0.25, 0.25, math.random(0, 1))	
		game_state.picture_bubbles:AttachTo(play_field)
		
		game_state.picture_bubbles_explosion = AddBubblesExplosion(object, play_field, 1, object:GetZ() + 10, 0, 0, 1 / object:GetScaleX(), 1 / object:GetScaleY(), 1)
		play_field:GetLevelScreen():GetTaskList():SetExtraTaskText(GetString("INVENTORY_TASK_2_4"))
		game_state.custom_cursors['picture'] = 'CursorArms'
    end	    
  	
	local object = play_field:GetObject('safe');
	inventory_dashboard_door = CreateInventory(object:GetX(),
                                               object:GetY(),
                                               object:GetZ() + 10,
                                               'dashboard_active_zone',
                                               CreateItem('screwdriver1', 'screwdriver'),
                                               nil,
                                               CreateItem('wrench1', 'wrench'),
                                               play_field:GetTimer(),
											   "INVENTORY_TASK_2_2");
    inventory_dashboard_door.state_changer = "OnDashboardDoorOpened"
	
	inventory_dashboard_door.OnComplete = function()
	    local af = CreateAnimationEffector()
        --[[local obj = play_field:GetObject('dashboard_door')
        af:AttachTo(obj)
        af:SetMode(_ANIM_FWD)
        af:SetKey(_TRACK_O, 0.0, obj:GetOpacity())
        af:SetKey(_TRACK_O, 0.6, obj:GetOpacity())
        af:SetKey(_TRACK_O, 0.9, 0)
        af:Play()]]
        --zoom_dashboard.RemoveObject('dashboard_door')
        --zoom_dashboard.RemoveObject('dashboard_active_zone')
        play_field:GetObject('dashboard_active_zone'):SetOpacity(0)
        game_state.locked_objects['dashboard_over_active_zone'] = false
		inventory_dashboard_over.Unlock()
		RegisterZoomZone(zoom_dashboard, 'safe')
		local object = play_field:GetObject('safe')
		--local e = AddBubblesExplosion(object, play_field, 1, object:GetZ() + 10, 0, 0, 1 / object:GetScaleX(), 1 / object:GetScaleX(), 0)
		--e:AttachTo(object)
    end    
    
	local object = play_field:GetObject('dashboard_over_active_zone');
	inventory_dashboard_over = CreateInventory(object:GetX() + 108,
                                               object:GetY() + 70,
                                               object:GetZ() + 210,
                                                object:GetName(),
                                                CreateItem('coin11', 'coin11_scaledcoin21_scaled'),
                                                CreateItem('scotch1', 'scotch_scaled'),
                                                CreateItem('coin21', 'coin21_scaledcoin11_scaled'),
                                                play_field:GetTimer(),
                                                "INVENTORY_TASK_2_3");
	inventory_dashboard_over.state_changer = "OnDashboardOverComplete"
                    
	inventory_dashboard_over.OnComplete = function()	    
	    local ActivateFrame = function()
	        game_state.locked_objects['frame'] = false
	    end    
	    
	    local obj = play_field:GetObject('safe_rama_01')	
	    obj:SetOpacity(0)
	    obj:GetAnimation():Stop()
	    local obj = play_field:GetObject('Glass01')	
	    obj:SetOpacity(0)
	    obj = play_field:GetObject('safe_rama_02')
	    obj:SetOpacity(1)
	    
	    local anim = obj:GetAnimation()
	    
	    TimerDo(play_field:GetTimer(),
                GetAnimationLength(anim),
                ActivateFrame)
	    
	    anim:Play()
	    anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
		
		PlaySound("FramedPaintingDoor")
	    
	    if zoom_dashboard.IsVisible() then
            zoom_dashboard.SetVisible(false)
            if game_state.locker:GetNReferences() > 0 then
                game_state.locker:Release()
            end
	    end
		
		local sn = CreateSoundEntity('2_Electricity');
		sn:AttachTo(play_field)
		sn:Play(false)

	end
	
	inventory_dashboard_over.OnCompleteImmediate = function()
	    UnregisterZoomZone(zoom_dashboard);
        --game_state.custom_cursors['safe']=''	
	    --game_state.locked_objects['safe']=true	    
	    local obj = play_field:GetObject('dashboard_over')
	    local af = CreateAnimationEffector()        
        af:AttachTo(obj)
        af:SetMode(_ANIM_FWD)
        af:SetKey(_TRACK_O, 0.0, obj:GetOpacity())
        af:SetKey(_TRACK_O, 0.3, 0)
        af:SetKey(_TRACK_O, 0.9, 0)
        af:Play()
        zoom_dashboard.RemoveObject('dashboard_over')	
	end
	
	game_state.locked_objects['safe'] = true		
    
    zoom_dashboard = CreateZoomZone('zoom_dashboard_close',
                                    '',
                                    --'dashboard_door',
                                    'dashboard_door_bg',
                                    'dashboard_over',
									--'dashboard_active_zone',
									'dashboard_over_active_zone',
									'coin1',
									'coin2',
									'scotch',
                                    'Border')

	play_field:GetObject('dashboard_active_zone'):GetAnimation():SetColor('0x01FFFFFF')
	play_field:GetObject('dashboard_over_active_zone'):GetAnimation():SetColor('0x01FFFFFF')
	--zoom_dashboard.SetOffset(0, -100)
	zoom_dashboard.SetOffsetZ(200);
		
	--game_state.custom_cursors['safe']='CursorZoom'	
	--game_state.custom_cursors['picture'] = 'CursorArms'
    
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    game_state.picture_active = false
	
	game_state.dashboard_finished = false
	
	items_found = false
	
	
	CreateTool('rope', 'rope')
	CreateTool('wrench', 'wrench')
	CreateTool('screwdriver', 'screwdriver')
	local t = CreateTool('coin1', 'coin11_scaled')
	
	t.OnSuccess = function()
		zoom_dashboard.RemoveObject('coin1')
	end
	
	t = CreateTool('coin2', 'coin21_scaled')
	
	t.OnSuccess = function()
		zoom_dashboard.RemoveObject('coin2')
	end
	
	t = CreateTool('scotch', 'scotch_scaled')
	
	t.OnSuccess = function()
		zoom_dashboard.RemoveObject('scotch')
	end
	
	local obj = play_field:GetObject('safe_rama_02')	
	obj:SetOpacity(0)
	obj:GetAnimation():Stop()
	obj:GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
	
    game_state.locked_objects = {}
	game_state.locked_objects['frame'] = true
	
	InitChain1(screen)
	game_state.chain1.state_changer = "OnStartingComicsComplete"
	InitChain2(screen)
	InitChain3(screen)
	game_state.chain3.final = true
		
	AddSheriffEyeLogic()

    --GTimerDoString("game_state.comics.SetVisible(true)", 1)
    local object = play_field:GetObject('ray1')
    local af = CreateAnimationEffector()
    af:AttachTo(object)
    af:SetMode(_ANIM_LOOP + _ANIM_PINGPONG)
    af:SetKey(_TRACK_O, 0.0, 0)
    af:SetKey(_TRACK_O, 8, 1.0)    
    af:Play()
    
    local object = play_field:GetObject('ray2')
    local af = CreateAnimationEffector()
    af:AttachTo(object)
    af:SetMode(_ANIM_LOOP + _ANIM_PINGPONG)
    af:SetKey(_TRACK_O, 0.0, 1)
    af:SetKey(_TRACK_O, 8, 0.0)    
    af:Play()
	
	play_field:IgnoreOnTestPoint('ray1')
	play_field:IgnoreOnTestPoint('ray2')
	game_state.chain2_is_started = false
	game_state.locked_objects['dashboard_over_active_zone'] = true
	
	game_state.rope_used = false
	game_state.picture_clicked = false
	play_field:IgnoreOnTestPoint('chain')
	
	pf:RegisterObjectSilhouette('brush', 'brush_01')
	pf:RegisterObjectSilhouette('hammer', 'hammer_01')
	pf:RegisterObjectSilhouette('pazl_02', 'paz_02a')
	pf:RegisterObjectSilhouette('pazl_03', 'paz_03a')
	pf:RegisterObjectSilhouette('trumpet', 'trumpet_01')
	game_state.OnStartingComicsComplete = function()
	    inventory_curtain.Unlock()
	end
	
	game_state.OnCurtainMoved = function()	    
        play_field:GetObject('curtain'):SetOpacity(0)        
		
		if game_state.picture_clicked then
			inventory_dashboard_door.Unlock()
		else
			game_state.rope_used = true
		end
		
		game_state.picture_active = true
		
		local object = play_field:GetObject('picture')
		game_state.picture_bubbles = AddBubblesAnimation(play_field, 3, object:GetZ(), object:GetX(), object:GetY(), 0.25, 0.25, math.random(0, 1))	
		game_state.picture_bubbles:AttachTo(play_field)
		
		game_state.picture_bubbles_explosion = AddBubblesExplosion(object, play_field, 1, object:GetZ() + 10, 0, 0, 1 / object:GetScaleX(), 1 / object:GetScaleY(), 1)
		play_field:GetLevelScreen():GetTaskList():SetExtraTaskText(GetString("INVENTORY_TASK_2_4"))
		game_state.custom_cursors['picture'] = 'CursorArms'
	end
	
	game_state.OnDashboardDoorOpened = function()	    
        play_field:GetObject('dashboard_active_zone'):SetOpacity(0)
        game_state.locked_objects['dashboard_over_active_zone'] = false
		inventory_dashboard_over.Unlock()
		RegisterZoomZone(zoom_dashboard, 'safe')
	end
	
	game_state.OnDashboardOverComplete = function()
	    game_state.locked_objects['frame'] = false
	    
	    local obj = play_field:GetObject('safe_rama_01')	
	    obj:SetOpacity(0)
	    obj:GetAnimation():Stop()
	    local obj = play_field:GetObject('Glass01')	
	    obj:SetOpacity(0)
	    obj = play_field:GetObject('safe_rama_02')
	    obj:SetOpacity(1)
	    
	    local anim = obj:GetAnimation()	    
	    
	    anim:SetFrame(anim:GetFrames() - 1)
	    --anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
	    
	    if zoom_dashboard.IsVisible() then
            zoom_dashboard.SetVisible(false)
            if game_state.locker:GetNReferences() > 0 then
                game_state.locker:Release()
            end
	    end
	    
	    --UnregisterZoomZone(zoom_dashboard);
        --game_state.custom_cursors['safe']=''	
	    --game_state.locked_objects['safe']=true	    
	end
	
	game_state.OnPictureFallen = function()
	    play_field:GetLevelScreen():GetTaskList():SetExtraTaskText("")
	    game_state.picture_active = false
		game_state.custom_cursors['picture'] = ''
		local object = play_field:GetObject('picture')
		object:SetAngle(1)
		object:SetY(500)		
		game_state.picture_bubbles:Hide()
		game_state.picture_bubbles_explosion:Hide()
		if game_state.rope_used then
			inventory_dashboard_door.Unlock()
		else
			game_state.picture_clicked = true
		end        
	end
	
	game_state.OnMinigameConditionsComplete = function()
	    if game_state.do_not_load_mini_game then
	        return
	    end
	    load_screen('data/Scenes/Minigames/2_puzzle.lua')
	    --game_state.chain2.Start()
		--game_state.chain2_is_started = true
	end
	game_state.meta_object = 'cigar1'
	
	play_field:GetObject('ten'):GetAnimation():SetMode(HGEANIM_PINGPONG)
	play_field:GetObject('kamera'):GetAnimation():SetMode(HGEANIM_PINGPONG)
	
	PlayAnimationPeriodicallyVsDelay('ten', 14)
	PlayAnimationPeriodicallyVsDelay('kamera', 14)
end

function PlayAnimationPeriodicallyVsDelay(anim_name, max_delay)
    local anim = play_field:GetObject( anim_name ):GetAnimation();
    local time = GetAnimationLength( anim );
    
    anim:SetFrame(0);
    anim:Play();
    play_field:GetObject(anim_name):SetVisible(true);
    
    TimerDoString("PlayAnimationPeriodicallyVsDelay('"..anim_name.."', "..max_delay..")",  time+max_delay, play_field:GetTimer());
end

function InitChain1(screen)
    local comics1 = CreateComics(screen,                 
                                 'Sheriff',
								 'eyes')
	comics1.OnHidden = function()
		comics1.DefaultOnHidden()
		inventory_curtain.Unlock()
    end
    
    game_state.chain1 = CreateChain('pixel',
                                    screen,
                                    comics1, GetString("COMICS_2_1"))
end

function InitChain2(screen)
    local comics1 = CreateComics(screen,
                                 'Sheriff',
								 'eyes')
    comics1.OnHidden = function()
        game_state.locker:Release()
        play_field:GetLevelScreen():GetPanel():Go()
        --load_screen('data/Scenes/Minigames/2_puzzle.lua');    
		TimerDo(play_field:GetTimer(), 0.01, load_screen, 'data/Scenes/Minigames/2_puzzle.lua')
     end
    
    game_state.chain2 = CreateChain('pixel2',
                                    screen,
                                    comics1, GetString("COMICS_2_2"))
end

function InitChain3(screen)
    local comics1 = CreateComics(screen,
                                 'Sheriff',
								 'eyes')
    comics1.OnHidden = function()
	    game_state.locker:Release()
        play_field:GetLevelScreen():GetPanel():Go()
        OnWin()
    end 
    
    game_state.chain3 = CreateChain('pixel3',
                                    screen,
                                    comics1, GetString("COMICS_2_4"))
end

function OnScreenShown()
    game_state.chain1.Start()
    --game_state.comics.SetVisible(true)
end

function OnSceneFree()
    FreeData()
end

function OnUpdate(dt)
end

--[[function OnAllItemsFound()	
	CloseNotebook();
end]]

function OnNotebookClosed()
    --[[local comics = game_state.comics
	comics.text:SetText(GetString("COMICS_2_4"))
	
	comics.OnHidden = function()
	    game_state.locker:Release()
        play_field:GetLevelScreen():GetPanel():Go()
        OnWin()
    end ]]
    
	--comics.SetVisible(true)	
	game_state.chain3.Start()
end

function OnNotebookOpened()
end


function OnExit()
end

function OnObjectMouseEnter(object)
    if object:GetName() == 'safe' and play_field:GetToolName() ~= '' and not zoom_dashboard.IsVisible() then
        zoom_dashboard.SetVisible(true)
        game_state.locker:AddRef()
    end
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()    
    local is_wrong_click = true
    local pf = play_field
	
	if	obj_name == 'picture' and game_state.picture_active then
	    game_state.picture_active = false
		game_state.custom_cursors['picture'] = ''
		PlaySound('2_PaintingFall')
		local af = CreateAnimationEffector()
        af:AttachTo(object)
        af:SetMode(_ANIM_FWD)
        af:SetKey(_TRACK_A, 0.0, 0)
        af:SetKey(_TRACK_A, 0.1, 1.0)
        af:SetKey(_TRACK_Y, 0.0, 354)
        af:SetKey(_TRACK_Y, 0.6, 500)
		game_state.picture_bubbles:Hide()
		game_state.picture_bubbles_explosion:Hide()
		if game_state.rope_used then
			inventory_dashboard_door.Unlock()
		else
			game_state.picture_clicked = true
		end
        af:Play()
        
        local pm = GetProfileManager();
        local currentProfile = pm:GetCurrentProfile();
        currentProfile:AddStateChanger('OnPictureFallen')
        OnSceneStateChanged(play_field);

		is_wrong_click=false
	end
    
    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click;
end

function OnObjectMouseUp(object)
end

function OnObjectWillBeFound(object)
    local obj_name = object:GetName()
    if obj_name == 'pazl_01' or obj_name == 'pazl_02' or obj_name == 'pazl_03' or obj_name == 'pazl_04' or obj_name == 'pazl_05' or obj_name == 'pazl_06' then
       game_state.pieces_left = game_state.pieces_left - 1
    end
end

function OnObjectWasFound(object)
	local obj_name = object:GetName()
	if obj_name == 'pazl_01' or obj_name == 'pazl_02' or obj_name == 'pazl_03' or obj_name == 'pazl_04' or obj_name == 'pazl_05' or obj_name == 'pazl_06' then
		if game_state.pieces_left == 0 and not game_state.chain2_is_started then
		    local cp = GetProfileManager():GetCurrentProfile()
		    cp:AddStateChanger("OnMinigameConditionsComplete")
			game_state.chain2.Start()
			game_state.chain2_is_started = true
		end
	end
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)    
end

function OnObjectReachPanel(object)
end

function OnPhotographing(phone_screen_center_pos)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
    if title == 'zoom_dashboard_close' then        
        --inventory_dashboard_door.Hide(false);
        inventory_dashboard_over.Hide(false);
    end
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

function OnMinigameCompleted()
    if IsNotebookClosed() and ArePanelTasksComplete() then
        game_state.chain3.Start()
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Layers/safe.png',0,0,64,55,1,0)
	anim:SetHotSpot(32,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('safe1',anim,856,391,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Animations/vitrage.dds',0,0,150,73,14,8)
	anim:SetHotSpot(75,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('vitrage',anim,501,37,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,94,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Zoom/dashboard_door_bg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('dashboard_door_bg',anim,512,384,213,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Zoom/dashboard_over.png',0,0,429,322,1,0)
	anim:SetHotSpot(214,161)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('dashboard_over',anim,584,430,214,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Animations/safe_rama_01.dds',0,0,214,218,26,8)
	anim:SetHotSpot(107,109)
	anim:SetBlendMode(3)
	anim:SetColor('0xCC222222')
	screen:CreateObject('safe_rama_01',anim,493,358,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Animations/safe_rama_02.dds',0,0,215,251,12,8)
	anim:SetHotSpot(108,126)
	anim:SetBlendMode(3)
	anim:SetColor('0xCC222222')
	screen:CreateObject('safe_rama_02',anim,487,339,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Layers/Glass01.png',0,0,220,230,1,0)
	anim:SetHotSpot(110,115)
	anim:SetBlendMode(3)
	anim:SetColor('0xFF444444')
	screen:CreateObject('Glass01',anim,494,364,96,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,530,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,756,390,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel',anim,512,384,601,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel2',anim,512,384,601,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel3',anim,512,384,601,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Animations/stai.dds',0,0,196,84,56,10)
	anim:SetHotSpot(98,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stai',anim,500,71,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Animations/ray1.png',0,0,487,768,1,0)
	anim:SetHotSpot(243,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ray1',anim,500,376,129,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Animations/ray2.png',0,0,487,768,1,0)
	anim:SetHotSpot(243,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ray2',anim,491,381,128,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('eyes',anim,745,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('dashboard_active_zone',anim,856,393,104,0,7,7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('dashboard_over_active_zone',anim,433,330,225,0,15,15)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/anchor.png',0,0,76,81,1,0)
	anim:SetHotSpot(38,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('anchor',anim,643,613,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/brush.png',0,0,36,63,1,0)
	anim:SetHotSpot(18,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush',anim,574,739,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/carbine.png',0,0,37,31,1,0)
	anim:SetHotSpot(18,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('carbine',anim,331,535,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/iron.png',0,0,43,50,1,0)
	anim:SetHotSpot(21,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('iron',anim,875,695,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/oracle.png',0,0,52,48,1,0)
	anim:SetHotSpot(26,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('oracle',anim,910,452,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/pliers.png',0,0,34,45,1,0)
	anim:SetHotSpot(17,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pliers',anim,325,420,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/rope.png',0,0,34,57,1,0)
	anim:SetHotSpot(17,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rope',anim,269,90,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/screwdriver.png',0,0,59,14,1,0)
	anim:SetHotSpot(29,7)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('screwdriver',anim,241,684,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/shoe.png',0,0,72,52,1,0)
	anim:SetHotSpot(36,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shoe',anim,479,744,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/trumpet.png',0,0,117,93,1,0)
	anim:SetHotSpot(58,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('trumpet',anim,368,610,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/vase.png',0,0,88,66,1,0)
	anim:SetHotSpot(44,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('vase',anim,247,733,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/rope.png',0,0,34,57,1,0)
	anim:SetHotSpot(17,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rope1',anim,813,109,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/screwdriver.png',0,0,59,14,1,0)
	anim:SetHotSpot(29,7)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('screwdriver1',anim,821,58,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/wrench.png',0,0,14,57,1,0)
	anim:SetHotSpot(7,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wrench',anim,665,517,109,-10,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/wrench.png',0,0,14,57,1,0)
	anim:SetHotSpot(7,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wrench1',anim,823,23,100,-10,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Layers/curtain.png',0,0,72,151,1,0)
	anim:SetHotSpot(36,75)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('curtain',anim,681,482,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Layers/chain.png',0,0,59,27,1,0)
	anim:SetHotSpot(29,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('chain',anim,671,512,133,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Layers/picture.png',0,0,82,143,1,0)
	anim:SetHotSpot(41,71)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('picture',anim,858,372,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/wig.png',0,0,74,97,1,0)
	anim:SetHotSpot(37,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wig',anim,775,355,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Layers/kresl.png',0,0,36,40,1,0)
	anim:SetHotSpot(18,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('kresl',anim,398,750,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Layers/kreslo.png',0,0,67,59,1,0)
	anim:SetHotSpot(33,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('kreslo',anim,373,647,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/frame.png',0,0,128,162,1,0)
	anim:SetHotSpot(64,81)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('frame',anim,495,359,95,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Layers/lamp.png',0,0,58,30,1,0)
	anim:SetHotSpot(29,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lamp',anim,269,75,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/coin2.png',0,0,44,96,1,0)
	anim:SetHotSpot(22,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('coin1',anim,796,516,300,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/coin2.png',0,0,44,96,1,0)
	anim:SetHotSpot(22,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('coin2',anim,750,439,300,90,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/coin1.png',0,0,71,58,1,0)
	anim:SetHotSpot(35,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('coin11',anim,779,514,100,0,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/coin1.png',0,0,71,58,1,0)
	anim:SetHotSpot(35,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('coin21',anim,746,441,100,0,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/coin1.png',0,0,71,58,1,0)
	anim:SetHotSpot(35,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('coin11_scaled',anim,922,519,214,0,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/coin1.png',0,0,71,58,1,0)
	anim:SetHotSpot(35,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('coin21_scaled',anim,877,437,214,0,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/scotch.png',0,0,107,55,1,0)
	anim:SetHotSpot(53,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scotch',anim,341,577,214,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/scotch.png',0,0,107,55,1,0)
	anim:SetHotSpot(53,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scotch1',anim,332,571,100,0,0.6,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/scotch.png',0,0,107,55,1,0)
	anim:SetHotSpot(53,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scotch_scaled',anim,469,576,214,0,0.6,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('safe',anim,856,393,103,0,7,7)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/hammer.png',0,0,56,74,1,0)
	anim:SetHotSpot(28,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hammer',anim,898,669,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/axe.png',0,0,98,37,1,0)
	anim:SetHotSpot(49,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('axe',anim,400,752,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Layers/shtora_3.png',0,0,82,174,1,0)
	anim:SetHotSpot(41,87)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shtora_3',anim,681,483,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Layers/chair.png',0,0,157,42,1,0)
	anim:SetHotSpot(78,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('chair',anim,657,551,113,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/pazl_01.png',0,0,54,29,1,0)
	anim:SetHotSpot(27,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pazl_01',anim,689,713,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/pazl_02.png',0,0,31,26,1,0)
	anim:SetHotSpot(15,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pazl_02',anim,314,434,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/pazl_03.png',0,0,47,48,1,0)
	anim:SetHotSpot(23,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pazl_03',anim,965,499,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/pazl_04.png',0,0,52,22,1,0)
	anim:SetHotSpot(26,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pazl_04',anim,303,688,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/pazl_05.png',0,0,68,19,1,0)
	anim:SetHotSpot(34,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pazl_05',anim,451,657,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/pazl_06.png',0,0,34,42,1,0)
	anim:SetHotSpot(17,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pazl_06',anim,837,136,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/ball.png',0,0,66,156,1,0)
	anim:SetHotSpot(33,78)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ball',anim,601,282,115,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/NoShadow/brush_01.png',0,0,28,54,1,0)
	anim:SetHotSpot(14,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush_01',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/NoShadow/hammer_01.png',0,0,35,65,1,0)
	anim:SetHotSpot(17,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hammer_01',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/NoShadow/paz_02a.png',0,0,29,23,1,0)
	anim:SetHotSpot(14,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('paz_02a',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/NoShadow/paz_03a.png',0,0,45,45,1,0)
	anim:SetHotSpot(22,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('paz_03a',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/NoShadow/trumpet_01.png',0,0,118,101,1,0)
	anim:SetHotSpot(59,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('trumpet_01',anim,51,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/cigar1.png',0,0,75,81,1,0)
	anim:SetHotSpot(37,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar1',anim,669,727,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Animations/krepeg.png',0,0,58,81,1,0)
	anim:SetHotSpot(29,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('krepeg',anim,692,44,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Animations/kamera.png',0,0,51,39,25,5)
	anim:SetHotSpot(26,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('kamera',anim,657,49,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Animations/ten.png',0,0,39,66,25,5)
	anim:SetHotSpot(20,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ten',anim,731,31,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/2_ crime_place_1/Items/binocular.png',0,0,55,43,1,0)
	anim:SetHotSpot(27,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('binocular',anim,311,720,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
